# Download file content
Source: https://docs.simpleserve.ai/docs/api-reference/files/get-files-file_id-content

Method: GET /v1/files/{file_id}/content
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/files/{file_id}/content",
  "method": "GET",
  "tags": [
    "Files"
  ],
  "operationId": "downloadFile",
  "summary": "Download file content",
  "description": "Downloads an uploaded input file or an output file returned by a run.\nThe response uses the file's stored media type.\n",
  "parameters": [
    {
      "$ref": "#/components/parameters/FileId"
    }
  ],
  "responses": {
    "200": {
      "description": "Raw file content.",
      "headers": {
        "content-disposition": {
          "description": "Attachment filename.",
          "schema": {
            "type": "string"
          }
        },
        "x-request-id": {
          "$ref": "#/components/headers/RequestId"
        }
      },
      "content": {
        "application/octet-stream": {
          "schema": {
            "type": "string",
            "format": "binary"
          }
        }
      }
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "410": {
      "$ref": "#/components/responses/Gone"
    },
    "429": {
      "$ref": "#/components/responses/RateLimited"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}
```